CREATE DATABASE spamfirewall;

#
# Table structure for table `blocked`
#

CREATE TABLE blocked (
  blockedid int(11) NOT NULL auto_increment,
  address varchar(15) NOT NULL default '',
  time int(11) NOT NULL default '0',
  PRIMARY KEY  (blockedid)
) TYPE=MyISAM COMMENT='Blocked IP Addresses';
# --------------------------------------------------------

#
# Table structure for table `queue`
#

CREATE TABLE queue (
  queueid int(11) NOT NULL auto_increment,
  address varchar(15) NOT NULL default '',
  time int(11) NOT NULL default '0',
  count tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (queueid)
) TYPE=MyISAM COMMENT='Count spam per mailserver';

#
# Table structure for table `repeatoffenders`
#

CREATE TABLE repeatoffenders (
  repeatid int(11) NOT NULL auto_increment,
  address varchar(15) NOT NULL default '',
  level int(11) NOT NULL default '0',
  time int(11) NOT NULL default '0',
  PRIMARY KEY  (repeatid)
) TYPE=MyISAM COMMENT='Repeat Offender IP Addresses';
# --------------------------------------------------------
